<?php

class Conexao1
{
    private static $connection;

    private function __construct(){}

    public static function getConnection() {
        $pdoConfig  = "sqlsrv:Server=192.168.0.250\SQLEXPRESS;";
        $pdoConfig .= "Database=UNI;";

        try {
            if(!isset($connection)){
                $connection =  new PDO($pdoConfig, "projetos", "projetos");
                $connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            }
            return $connection;
		} catch (PDOException $e) {
			$mensagem = "Drivers disponiveis: " . implode(",", PDO::getAvailableDrivers());
			$mensagem .= "\nErro: " . $e->getMessage();
			throw new Exception($mensagem);
		}
    }
}